package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum SaleTypeEnum implements BaseEnum,IEnum<Integer> {
    ONLINE("1","线上销售"),
    OFFLINE("2","线下销售"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;


    @Override
    public Integer getValue() {
        return getIntKey();
    }
}